player_planner_waypoints_req Struct Reference

Request/reply: Get waypoints. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | waypoints_count
| Number of waypoints to follow.
player_pose2d_t * | waypoints
| The waypoints.

## Detailed Description

Request/reply: Get waypoints.

To retrieve the list of waypoints, send a null PLAYER_PLANNER_REQ_GET_WAYPOINTS request.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45